## org.exist.ant
Class XMLDBStoreTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.XMLDBStoreTask

public class XMLDBStoreTask
extends AbstractXMLDBTask

An Ant task to store a set of files into eXist.

The task expects a nested fileset element. The files selected by the fileset will be stored into the database.

New collections can be created as needed. It is also possible to specify that files relative to the base directory should be stored into subcollections of the root collection, where the relative path of the directory corresponds to the relative path of the subcollections.

Author:
  wolf

  slightly modified by:, peter.klotz@blue-elephant-systems.com

Constructor Summary
`XMLDBStoreTask()`

Method Summary
`org.apache.tools.ant.types.FileSet` `createFileSet()`
`void` `execute()`
`void` `setCreatecollection(boolean create)`
`void` `setCreatesubcollections(boolean create)`
`void` `setSrcFile(java.io.File file)`
`void` `setType(java.lang.String type)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDBStoreTask

    public XMLDBStoreTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setSrcFile

    public void setSrcFile(java.io.File file)

### createFileSet

    public org.apache.tools.ant.types.FileSet createFileSet()

### setCreatecollection

    public void setCreatecollection(boolean create)

### setCreatesubcollections

    public void setCreatesubcollections(boolean create)

### setType

    public void setType(java.lang.String type)

Copyright (C) Wolfgang Meier. All rights reserved.